### Virtual Method

# WPEPlatform View render_buffer

#### Declaration [src]

    gboolean
    render_buffer (
      WPEView* view,
      WPEBuffer* buffer,
      const WPERectangle* damage_rects,
      guint n_damage_rects,
      GError** error
    )

#### Description [src]

Render the given `buffer` into `view`. If this function returns `TRUE` you must call `wpe_view_buffer_rendered()` when the buffer is rendered and `wpe_view_buffer_released()` when it’s no longer used by the view.

#### Parameters

`buffer`

  Type: `WPEBuffer`

  A `WPEBuffer` to render.

  The data is owned by the caller of the method.

`damage_rects`

  Type: An array of `WPERectangle`

  Damage rectangles.

  The argument can be `NULL`.
  The length of the array is specified in the `n_damage_rects` argument.
  The data is owned by the caller of the method.

`n_damage_rects`

  Type: `guint`

  Number of rectangles in `damage_rects`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if buffer will be rendered, or `FALSE` otherwise.